CUDA Runtime API (PDF) - v9.0.176 (older) - Last updated September 2, 2017 - Send Feedback

## 5.14. cudaPointerAttributes Struct Reference

## [Data types used by CUDA Runtime]

CUDA pointer attributes

### Public Variables

int device
void * devicePointer
void * hostPointer
int isManaged
enumcudaMemoryType memoryType

### Variables

int cudaPointerAttributes::device [inherited]

  The device against which the memory was allocated or registered. If the memory type is cudaMemoryTypeDevice then this identifies the device on which the memory referred physically resides. If the memory type is cudaMemoryTypeHost then this identifies the device which was current when the memory was allocated or registered (and if that device is deinitialized then this allocation will vanish with that device's state).

void * cudaPointerAttributes::devicePointer [inherited]

  The address which may be dereferenced on the current device to access the memory or NULL if no such address exists.

void * cudaPointerAttributes::hostPointer [inherited]

  The address which may be dereferenced on the host to access the memory or NULL if no such address exists.

int cudaPointerAttributes::isManaged [inherited]

  Indicates if this pointer points to managed memory

enumcudaMemoryType cudaPointerAttributes::memoryType [inherited]

  The physical location of the memory, cudaMemoryTypeHost or cudaMemoryTypeDevice.